;---------------------------------------------------------------------------
;REG930AX.INC
;
;Header file for Intel 8X930Ax USB
;Copyright (c) 1995-1996 Keil Software, Inc.  All rights reserved.
;---------------------------------------------------------------------------
$SAVE
$NOLIST
$NOSYMLIST

;-------------------------------------------------
;Byte Registers
;-------------------------------------------------
P0	DATA 080h
SP      DATA 081h
DPL     DATA 082h
DPH     DATA 083h
DPXL    DATA 084h		; Intel Literature says this SFR is at 085
PCON    DATA 087h
TCON    DATA 088h
TMOD    DATA 089h
TL0     DATA 08Ah
TL1     DATA 08Bh
TH0     DATA 08Ch
TH1     DATA 08Dh
FADDR   DATA 08Fh

P1      DATA 090h
SCON    DATA 098h
SBUF    DATA 099h

P2      DATA 0A0h
FIE	DATA 0A2h
WDTRST  DATA 0A6h
WCON	DATA 0A7h
IE0     DATA 0A8h
IEN0	DATA 0A8h
SADDR   DATA 0A9h

P3      DATA 0B0h
IE1     DATA 0B1h
IEN1	DATA 0B1h
IPL1    DATA 0B2h
IPH1    DATA 0B3h
IPH0    DATA 0B7h
IPL0    DATA 0B8h
SADEN   DATA 0B9h
SPH     DATA 0BEh

FIFLG	DATA 0C0h
T2CON   DATA 0C8h
T2MOD   DATA 0C9h
RCAP2L  DATA 0CAh
RCAP2H  DATA 0CBh
TL2     DATA 0CCh
TH2     DATA 0CDh

PSW     DATA 0D0h
PSW1    DATA 0D1h
SOFL    DATA 0D2h
SOFH    DATA 0D3h
CCON    DATA 0D8h
CMOD    DATA 0D9h
CCAPM0  DATA 0DAh
CCAPM1  DATA 0DBh
CCAPM2  DATA 0DCh
CCAPM3  DATA 0DDh
CCAPM4  DATA 0DEh
PCON1	DATA 0DFh

ACC     DATA 0E0h
EPCON	DATA 0E1h
RXSTAT	DATA 0E2h
RXDAT	DATA 0E3h
RXCON	DATA 0E4h
RXFLG	DATA 0E5h
RXCNTL	DATA 0E6h
RXCNTH	DATA 0E7h
CL      DATA 0E9h
CCAP0L  DATA 0EAh
CCAP1L  DATA 0EBh
CCAP2L  DATA 0ECh
CCAP3L  DATA 0EDh
CCAP4L  DATA 0EEh

B       DATA 0F0h
EPINDEX DATA 0F1h
TXSTAT  DATA 0F2h
TXDAT   DATA 0F3h
TXCON   DATA 0F4h
TXFLG   DATA 0F5h
TXCNTL  DATA 0F6h
TXCNTH  DATA 0F7h
CH      DATA 0F9h
CCAP0H  DATA 0FAh
CCAP1H  DATA 0FBh
CCAP2H  DATA 0FCh
CCAP3H  DATA 0FDh
CCAP4H  DATA 0FEh

;-------------------------------------------------
;PCON Bit Values
;-------------------------------------------------
IDL_    	EQU	01h
PD_     	EQU	02h
GF0_    	EQU	04h
GF1_    	EQU	08h
POF_    	EQU	10h

SMOD0_  	EQU	40h
SMOD1_  	EQU	80h

;-------------------------------------------------
;TCON Bit Registers
;-------------------------------------------------
IT0  		BIT	88h
IE0_ 		BIT	89h
IT1 		BIT	8Ah
IE1_ 		BIT	8Bh
TR0 		BIT	8Ch
TF0 		BIT	8Dh
TR1 		BIT	8Eh
TF1 		BIT	8Fh

;-------------------------------------------------
;TMOD Bit Values
;-------------------------------------------------
T0_M0_		EQU	01h
T0_M1_  	EQU	02h
T0_CT_  	EQU	04h
T0_GATE_	EQU	08h
T1_M0_  	EQU	10h
T1_M1_  	EQU	20h
T1_CT_  	EQU	40h
T1_GATE_	EQU	80h

T1_MASK_	EQU	0F0h
T0_MASK_	EQU	00Fh

;-------------------------------------------------
;P1 Bit Registers (Mnemonics)
;-------------------------------------------------
T2		BIT	90h
T2EX		BIT	91h
ECI    		BIT	92h
CEX0		BIT	93h
CEX1		BIT	94h
CEX2		BIT	95h
CEX3		BIT	96h
CEX4		BIT	97h

;-------------------------------------------------
;SCON Bit Registers
;-------------------------------------------------
RI		BIT	98h
TI		BIT	99h
RB8		BIT	9Ah
TB8		BIT	9Bh
REN		BIT	9Ch
SM2		BIT	9Dh
SM1		BIT	9Eh
SM0		BIT	9Fh

;-------------------------------------------------
;IE0 / IEN0 Bit Registers
;-------------------------------------------------
EX0		BIT	0A8h
ET0		BIT	0A9h
EX1		BIT	0AAh
ET1		BIT	0ABh
ES		BIT	0ACh
ET2		BIT	0ADh
EC		BIT	0AEh
EA		BIT	0AFh

;-------------------------------------------------
;P3 Bit Registers (Mnemonics)
;-------------------------------------------------
RXD		BIT	0B0h
TXD		BIT	0B1h
INT0		BIT	0B2h
INT1		BIT	0B3h
T0		BIT	0B4h
T1		BIT	0B5h
WR		BIT	0B6h
RD		BIT	0B7h

;-------------------------------------------------
;IE1 / IEN1 Bit Values
;-------------------------------------------------
IE1_0_		EQU	01h
IE1_1_		EQU	02h
IE1_2_		EQU	04h
IE1_3_		EQU	08h

;-------------------------------------------------
;IPL1 Bit Values
;-------------------------------------------------
IPL1_0_		EQU	01h
IPL1_1_		EQU	02h
IPL1_2_		EQU	04h
IPL1_3_		EQU	08h

;-------------------------------------------------
;IPH1 Bit Values
;-------------------------------------------------
IPH1_0_		EQU	01h
IPH1_1_		EQU	02h
IPH1_2_		EQU	04h
IPH1_3_		EQU	08h

;-------------------------------------------------
;IPH0 Bit Values
;-------------------------------------------------
IPH0_PX0_	EQU	01h
IPH0_PT0_	EQU	02h
IPH0_PX1_	EQU	04h
IPH0_PT1_	EQU	08h
IPH0_PS_ 	EQU	10h
IPH0_PT2_	EQU	20h
IPH0_PPC_	EQU	40h

;-------------------------------------------------
;IPL0 Bit Registers
;-------------------------------------------------
PX0		BIT	0B8h
PT0		BIT	0B9h
PX1		BIT	0BAh
PT1		BIT	0BBh
PS		BIT	0BCh
PT2		BIT	0BDh
PPC		BIT	0BEh

;-------------------------------------------------
;EPCON0 Bit Registers
;-------------------------------------------------
FTXD0		BIT	0C0h
FRXD0		BIT	0C1h
FTXD1		BIT	0C2h
FRXD1		BIT	0C3h
FTXD2		BIT	0C4h
FRXD2		BIT	0C5h
FTXD3		BIT	0C6h
FRXD3		BIT	0C7h

;-------------------------------------------------
;T2CON Bit Registers
;-------------------------------------------------
CP_RL2		BIT	0C8h
C_T2		BIT	0C9h
TR2		BIT	0CAh
EXEN2		BIT	0CBh
TCLK		BIT	0CCh
RCLK		BIT	0CDh
EXF2		BIT	0CEh
TF2		BIT	0CFh

;-------------------------------------------------
;T2MOD Bit Values
;-------------------------------------------------
DCEN_		EQU	01h
T2OE_		EQU	02h

;-------------------------------------------------
;PSW Bit Registers
;-------------------------------------------------
P		BIT	0D0h
FL		BIT	0D1h
OV		BIT	0D2h
RS0		BIT	0D3h
RS1		BIT	0D4h
F0		BIT	0D5h
AC		BIT	0D6h
CY		BIT	0D7h

;-------------------------------------------------
;PSW1 Bit Values
;-------------------------------------------------
PSW1_Z_		EQU	02h
PSW1_OV_	EQU	04h
PSW1_RS0_	EQU	08h
PSW1_RS1_	EQU	10h
PSW1_N_		EQU	20h
PSW1_AC_	EQU	40h
PSW1_CY_	EQU	80h

;-------------------------------------------------
;SOFH Bit Values
;-------------------------------------------------
TS_MASK		EQU	07h

SOFODIS   	EQU	08h
F_LOCK    	EQU	10h
SOFIE     	EQU	20h
RXSOF		EQU	40h
SFACK		EQU	80h

;-------------------------------------------------
;PCON1 Bit Values
;-------------------------------------------------
G_SUS     	EQU	01h
G_RSM     	EQU	02h
RWU       	EQU	04h

;-------------------------------------------------
;CCON Bit Registers
;-------------------------------------------------
CCF0		BIT	0D8h
CCF1		BIT	0D9h
CCF2		BIT	0DAh
CCF3		BIT	0DBh
CCF4		BIT	0DCh
CR		BIT	0DEh
CF		BIT	0DFh

;-------------------------------------------------
;CMOD Bit Values
;-------------------------------------------------
ECF_		EQU	01h
CPS0_		EQU	02h
CPS1_		EQU	04h

WDTE_		EQU	40h
CIDL_		EQU	80h

;-------------------------------------------------
;CCAPM? Bit Values
;-------------------------------------------------
ECCF_		EQU	01h
PWM_		EQU	02h
TOG_		EQU	04h
MAT_		EQU	08h
CAPN_		EQU	10h
CAPP_		EQU	20h
ECOM_		EQU	40h

;-------------------------------------------------
;EPCON  Bit Values
;-------------------------------------------------
TXEPEN   	EQU	01h
TXOE     	EQU	02h
RXEPEN   	EQU	04h
RXIE     	EQU	08h
RXSPM    	EQU	10h
CTLEP    	EQU	20h
TXSTL    	EQU	40h
RXSTL    	EQU	80h

;-------------------------------------------------
;RXSTAT Bit Values   
;-------------------------------------------------
RXACK     	EQU	01h
RXERR     	EQU	02h
RXVOID    	EQU	04h
RXDTO     	EQU	08h
EDOVW     	EQU	10h
STOVW     	EQU	20h
RXSETUP   	EQU	40h
RXSEQ     	EQU	80h

;-------------------------------------------------
;RXCON Bit Values    
;-------------------------------------------------
REVWP     	EQU	01h
ADVWM     	EQU	02h
ARM       	EQU	04h
RXISO     	EQU	08h
RXFFRC    	EQU	10h
RXWS      	EQU	20h
RXCLR     	EQU	80h

;-------------------------------------------------
;RXFLG Bit Values    
;-------------------------------------------------
RXOVF     	EQU	01h
RXURF     	EQU	02h
RXFULL    	EQU	04h
RXEMP     	EQU	08h
RXFIF0    	EQU	40h
RXFIF1    	EQU	80h

;-------------------------------------------------
;EPINDEX Bit Values
;-------------------------------------------------
EPIDX0     	EQU	01h
EPIDX1     	EQU	02h
HORF       	EQU	80h

;-------------------------------------------------
;TXSTAT  Bit Values
;-------------------------------------------------
TXACK     	EQU	01h
TXERR     	EQU	02h
TXVOID    	EQU	04h
TXSOVW    	EQU	08h
TXFLUSH   	EQU	10h
TXSEQ     	EQU	80h

;-------------------------------------------------
;TXCON Bit Values    
;-------------------------------------------------
REVRP     	EQU	01h
ADVRM     	EQU	02h
ATM       	EQU	04h
TXISO     	EQU	08h
FFSZ0     	EQU	20h
FFSZ1     	EQU	40h
TXCLR     	EQU	80h

;-------------------------------------------------
;TXFLG Bit Values    
;-------------------------------------------------
TXOVF     	EQU	01h
TXURF     	EQU	02h
TXFULL    	EQU	04h
TXEMP     	EQU	08h
TXFIF0    	EQU	40h
TXFIF1    	EQU	80h

;-------------------------------------------------
;Interrupt Vectors:
;Interrupt Address = (Number * 8) + 3
;-------------------------------------------------
IE0_VECTOR	EQU	 0	; 03h 
TF0_VECTOR	EQU	 1	; 0Bh 
IE1_VECTOR	EQU	 2	; 13h 
TF1_VECTOR	EQU	 3	; 1Bh 
SIO_VECTOR	EQU	 4	; 23h 
TF2_VECTOR	EQU	 5	; 2Bh 
CF_VECTOR	EQU	 6	; 33h 

SOF_VECTOR	EQU	 8	; 43h 
ESOF_VECTOR	EQU	 8	; 43h 
USB_VECTOR	EQU	 9	; 4Bh 
EF_VECTOR	EQU	 9	; 4Bh 
GUSS_GRSM_VEC	EQU	10	; 53h 
ESR_VECTOR	EQU	10	; 53h 

TRAP_VECTOR	EQU	15	; 7Bh 

$RESTORE
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

